NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Static Public Member Functions | Properties | List of all members
NXOpen.AME.DiagramManager Class Reference

Represents an object that manages sheet elements. More...

Inheritance diagram for NXOpen.AME.DiagramManager:
NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void AddFragmentPlacedSheetElement (NXOpen.AME.FragmentObject fragmentObject, NXOpen.Diagramming.SheetElement sheetElement)
 Add placed sheet element to fragment object More...
 
unsafe void CopySchematicObjects (NXOpen.Diagramming.SheetElement[] elements)
 Copy schematic object More...
 
unsafe
NXOpen.Diagramming.Connection 
CreateConnection (NXOpen.Diagramming.Sheet sheet, NXOpen.AME.AMEExtendedObject startPort, NXOpen.AME.AMEExtendedObject endPort, NXOpen.Point2d[] p2dBendPoints)
 Create Diagramming Connection More...
 
unsafe void CreateSchematicConnection (NXOpen.Diagramming.Sheet sheet, NXOpen.Diagramming.Port startPort, NXOpen.Diagramming.Port endPort, NXOpen.Point2d[] p2dBendPoints, out NXOpen.NXObject[] objects)
 Create Diagramming Connection More...
 
unsafe NXOpen.Diagramming.Node CreateSchematicNode (NXOpen.Diagramming.Sheet sheet, NXOpen.AME.AMEEngObject engObject, double locationX, double locationY, string symbolVariantName)
 Create Schematic Diagram Node More...
 
unsafe NXOpen.Diagramming.Node CreateSocket (NXOpen.Diagramming.Sheet sheet, double locationX, double locationY)
 Create Socket Diagram Node Copy More...
 
unsafe NXOpen.Diagramming.Node CreateTopologyNode (NXOpen.Diagramming.Sheet sheet, NXOpen.AME.AMEEngObject engObject, double locationX, double locationY)
 Create Topology Diagram Node More...
 
unsafe void CutSchematicObjects (NXOpen.Diagramming.SheetElement[] elements)
 Cut schematic object More...
 
unsafe void DeleteConnections (NXOpen.Diagramming.Connection[] elements)
 Delete Connections More...
 
unsafe void DeletePlacedSheetElements (NXOpen.AME.FragmentObject fragment)
 Delete placed sheet elements from page More...
 
unsafe void DeleteSheetElements (NXOpen.Diagramming.SheetElement[] elements)
 Delete Sheet Element More...
 
unsafe void DisconnectConnection (NXOpen.Diagramming.Connection connection)
 Detach Diagramming Connection More...
 
unsafe NXOpen.NXObject GetSheetPartFromPage (NXOpen.AME.PageObject pageObject)
 Get Diagramming Sheet's Part From Page More...
 
unsafe NXOpen.Diagramming.Node InstantiateTypedProductComponentInstance (NXOpen.AME.PageObject pageObject, NXOpen.AME.TypedProductComponentInstance instanceObject, double locationX, double locationY, string symbolVariantName)
 Instantiate Product Component instance and create Schematic Diagram Node More...
 
unsafe void LaunchPage (NXOpen.AME.PageObject pageObject, bool isNewWindow)
 Launch fragment diagram sheet More...
 
unsafe void PasteSchematicObjects (NXOpen.AME.PageObject page, double locationX, double locationY, out NXOpen.NXObject[] newObjects)
 Paste schematic object More...
 
unsafe void PlaceFragmentOnPage (NXOpen.AME.FragmentObject fragment, NXOpen.AME.PageObject page, double locationX, double locationY)
 Place Copied Fragment on page More...
 
unsafe void ReconnectConnection (NXOpen.Diagramming.Sheet sheet, NXOpen.Diagramming.Connection connection, NXOpen.AME.AMEExtendedObject targetPort, int connectionLocationType)
 Reconnect Diagramming Connection More...
 
unsafe void ReconnectSchematicConnection (NXOpen.Diagramming.Sheet sheet, NXOpen.Diagramming.Connection connection, NXOpen.Diagramming.Port targetPort, int connectionLocationType)
 Reconnect Diagramming Connection More...
 
unsafe void RefreshFragmentBoundingBox (NXOpen.Diagramming.Sheet sheet)
 Creating or Updating fragment Sheet Bounding Box in Template More...
 
unsafe void RemovePlugPort (NXOpen.Diagramming.Sheet sheet)
 Remove plug from object More...
 
unsafe void ResetContactBlockBoundingBox (NXOpen.Diagramming.Node node)
 Reset contact block bounding box More...
 
unsafe void SetFragmentBoundingBoxAnchorPoint (NXOpen.AME.FragmentObject fragment, double anchorX, double anchorY)
 Creating or Updating fragment Sheet Bounding Box in Template More...
 
unsafe void SetReportTableName (NXOpen.Diagramming.Tables.Table table)
 Set report table name More...
 
unsafe void SetTeeJunctionRepresentationStyle (NXOpen.Diagramming.Node[] elements, NXOpen.AME.AmeJunctionRepresentationStyleType representationStyle)
 Set representation style for tee Junction More...
 
unsafe void SetTeeJunctionVariant (NXOpen.Diagramming.Node[] elements, NXOpen.AME.AmeTeeJunctionVariant variantIndex)
 Set variant for tee Junction More...
 
unsafe void ShowHideConnectionDirection (bool showHideConnectionDirection)
 Show/Hide Connection Direction symbol of ports on schematics pages. More...
 
unsafe void SwapConnectionSourceTarget (NXOpen.NXObject[] connections)
 Swap source target for ame connections More...
 
unsafe void SwitchMountingOrientation (NXOpen.AME.AMEEngObject engObject)
 Switch Mounting Orientation of the input NXOpen.AME.AMEEngObject object. More...
 
unsafe void UpdateCableInformation (NXOpen.AME.AMEEngObject cableEO, NXOpen.AME.PageObject[] pageObjects)
 Update Cable information like Cores and Core Order Indices More...
 
unsafe void UpdateConnectionBendPoints (NXOpen.Diagramming.Connection connection, NXOpen.Point2d[] bendPoints)
 Update Diagramming Connection with new bend points More...
 
unsafe void UpdateNodeLocation (NXOpen.Diagramming.Node node, double cordinateX, double cordinateY)
 Update node location More...
 
unsafe void UpdateNodeRotation (NXOpen.Diagramming.Node node, double rotation)
 Update node rotation More...
 
unsafe void UpdateNodeSize (NXOpen.Diagramming.Node node, double coordinateX, double coordinateY, double height, double width)
 Update node size More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Static Public Member Functions

static DiagramManager GetDiagramManager (NXOpen.Session owner)
 Returns the DiagramManager object for the running session which serves as the 'gateway' class for the application API. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Detailed Description

Represents an object that manages sheet elements.

This object does not need a creator.

Created in NX11.0.0

Member Function Documentation

unsafe void NXOpen.AME.DiagramManager.AddFragmentPlacedSheetElement ( NXOpen.AME.FragmentObject  fragmentObject,
NXOpen.Diagramming.SheetElement  sheetElement 
)
inline

Add placed sheet element to fragment object

Created in NX12.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
fragmentObject
sheetElement
unsafe void NXOpen.AME.DiagramManager.CopySchematicObjects ( NXOpen.Diagramming.SheetElement[]  elements)
inline

Copy schematic object

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
elements
unsafe NXOpen.Diagramming.Connection NXOpen.AME.DiagramManager.CreateConnection ( NXOpen.Diagramming.Sheet  sheet,
NXOpen.AME.AMEExtendedObject  startPort,
NXOpen.AME.AMEExtendedObject  endPort,
NXOpen.Point2d[]  p2dBendPoints 
)
inline

Create Diagramming Connection

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
sheet
startPort
endPort
p2dBendPoints
Returns
unsafe void NXOpen.AME.DiagramManager.CreateSchematicConnection ( NXOpen.Diagramming.Sheet  sheet,
NXOpen.Diagramming.Port  startPort,
NXOpen.Diagramming.Port  endPort,
NXOpen.Point2d[]  p2dBendPoints,
out NXOpen.NXObject[]  objects 
)
inline

Create Diagramming Connection

Created in NX1872.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
sheet
startPort
endPort
p2dBendPoints
objects
unsafe NXOpen.Diagramming.Node NXOpen.AME.DiagramManager.CreateSchematicNode ( NXOpen.Diagramming.Sheet  sheet,
NXOpen.AME.AMEEngObject  engObject,
double  locationX,
double  locationY,
string  symbolVariantName 
)
inline

Create Schematic Diagram Node

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
sheet
engObject
locationX
locationY
symbolVariantName
Returns
unsafe NXOpen.Diagramming.Node NXOpen.AME.DiagramManager.CreateSocket ( NXOpen.Diagramming.Sheet  sheet,
double  locationX,
double  locationY 
)
inline

Create Socket Diagram Node Copy

Created in NX12.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
sheet
locationX
locationY
Returns
unsafe NXOpen.Diagramming.Node NXOpen.AME.DiagramManager.CreateTopologyNode ( NXOpen.Diagramming.Sheet  sheet,
NXOpen.AME.AMEEngObject  engObject,
double  locationX,
double  locationY 
)
inline

Create Topology Diagram Node

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
sheet
engObject
locationX
locationY
Returns
unsafe void NXOpen.AME.DiagramManager.CutSchematicObjects ( NXOpen.Diagramming.SheetElement[]  elements)
inline

Cut schematic object

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
elements
unsafe void NXOpen.AME.DiagramManager.DeleteConnections ( NXOpen.Diagramming.Connection[]  elements)
inline

Delete Connections

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
elements
unsafe void NXOpen.AME.DiagramManager.DeletePlacedSheetElements ( NXOpen.AME.FragmentObject  fragment)
inline

Delete placed sheet elements from page

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
fragment
unsafe void NXOpen.AME.DiagramManager.DeleteSheetElements ( NXOpen.Diagramming.SheetElement[]  elements)
inline

Delete Sheet Element

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
elements
unsafe void NXOpen.AME.DiagramManager.DisconnectConnection ( NXOpen.Diagramming.Connection  connection)
inline

Detach Diagramming Connection

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
connection
static DiagramManager NXOpen.AME.DiagramManager.GetDiagramManager ( NXOpen.Session  owner)
inlinestatic

Returns the DiagramManager object for the running session which serves as the 'gateway' class for the application API.

References to all other objects in this API are obtained either directly or indirectly via methods and properties on this class. Platform Session should be initialized using 'GetSession' method from NXOpen API prior to this call.

unsafe NXOpen.NXObject NXOpen.AME.DiagramManager.GetSheetPartFromPage ( NXOpen.AME.PageObject  pageObject)
inline

Get Diagramming Sheet's Part From Page

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
pageObject
Returns
unsafe NXOpen.Diagramming.Node NXOpen.AME.DiagramManager.InstantiateTypedProductComponentInstance ( NXOpen.AME.PageObject  pageObject,
NXOpen.AME.TypedProductComponentInstance  instanceObject,
double  locationX,
double  locationY,
string  symbolVariantName 
)
inline

Instantiate Product Component instance and create Schematic Diagram Node

Created in NX12.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
pageObject
instanceObject
locationX
locationY
symbolVariantName
Returns
unsafe void NXOpen.AME.DiagramManager.LaunchPage ( NXOpen.AME.PageObject  pageObject,
bool  isNewWindow 
)
inline

Launch fragment diagram sheet

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
pageObject
isNewWindow
unsafe void NXOpen.AME.DiagramManager.PasteSchematicObjects ( NXOpen.AME.PageObject  page,
double  locationX,
double  locationY,
out NXOpen.NXObject[]  newObjects 
)
inline

Paste schematic object

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
page
locationX
locationY
newObjects
unsafe void NXOpen.AME.DiagramManager.PlaceFragmentOnPage ( NXOpen.AME.FragmentObject  fragment,
NXOpen.AME.PageObject  page,
double  locationX,
double  locationY 
)
inline

Place Copied Fragment on page

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
fragment
page
locationX
locationY
unsafe void NXOpen.AME.DiagramManager.ReconnectConnection ( NXOpen.Diagramming.Sheet  sheet,
NXOpen.Diagramming.Connection  connection,
NXOpen.AME.AMEExtendedObject  targetPort,
int  connectionLocationType 
)
inline

Reconnect Diagramming Connection

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
sheet
connection
targetPort
connectionLocationType
unsafe void NXOpen.AME.DiagramManager.ReconnectSchematicConnection ( NXOpen.Diagramming.Sheet  sheet,
NXOpen.Diagramming.Connection  connection,
NXOpen.Diagramming.Port  targetPort,
int  connectionLocationType 
)
inline

Reconnect Diagramming Connection

Created in NX1872.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
sheet
connection
targetPort
connectionLocationType
unsafe void NXOpen.AME.DiagramManager.RefreshFragmentBoundingBox ( NXOpen.Diagramming.Sheet  sheet)
inline

Creating or Updating fragment Sheet Bounding Box in Template

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
sheet
unsafe void NXOpen.AME.DiagramManager.RemovePlugPort ( NXOpen.Diagramming.Sheet  sheet)
inline

Remove plug from object

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
sheet
unsafe void NXOpen.AME.DiagramManager.ResetContactBlockBoundingBox ( NXOpen.Diagramming.Node  node)
inline

Reset contact block bounding box

Created in NX1847.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
node
unsafe void NXOpen.AME.DiagramManager.SetFragmentBoundingBoxAnchorPoint ( NXOpen.AME.FragmentObject  fragment,
double  anchorX,
double  anchorY 
)
inline

Creating or Updating fragment Sheet Bounding Box in Template

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
fragment
anchorX
anchorY
unsafe void NXOpen.AME.DiagramManager.SetReportTableName ( NXOpen.Diagramming.Tables.Table  table)
inline

Set report table name

Created in NX1899.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
table
unsafe void NXOpen.AME.DiagramManager.SetTeeJunctionRepresentationStyle ( NXOpen.Diagramming.Node[]  elements,
NXOpen.AME.AmeJunctionRepresentationStyleType  representationStyle 
)
inline

Set representation style for tee Junction

Created in NX12.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
elements
representationStyle
unsafe void NXOpen.AME.DiagramManager.SetTeeJunctionVariant ( NXOpen.Diagramming.Node[]  elements,
NXOpen.AME.AmeTeeJunctionVariant  variantIndex 
)
inline

Set variant for tee Junction

Created in NX12.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
elements
variantIndex
unsafe void NXOpen.AME.DiagramManager.ShowHideConnectionDirection ( bool  showHideConnectionDirection)
inline

Show/Hide Connection Direction symbol of ports on schematics pages.

Created in NX12.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
showHideConnectionDirection
unsafe void NXOpen.AME.DiagramManager.SwapConnectionSourceTarget ( NXOpen.NXObject[]  connections)
inline

Swap source target for ame connections

Created in NX12.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
connections
unsafe void NXOpen.AME.DiagramManager.SwitchMountingOrientation ( NXOpen.AME.AMEEngObject  engObject)
inline

Switch Mounting Orientation of the input NXOpen.AME.AMEEngObject object.

Created in NX12.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
engObject
unsafe void NXOpen.AME.DiagramManager.UpdateCableInformation ( NXOpen.AME.AMEEngObject  cableEO,
NXOpen.AME.PageObject[]  pageObjects 
)
inline

Update Cable information like Cores and Core Order Indices

Created in NX12.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
cableEO
pageObjects
unsafe void NXOpen.AME.DiagramManager.UpdateConnectionBendPoints ( NXOpen.Diagramming.Connection  connection,
NXOpen.Point2d[]  bendPoints 
)
inline

Update Diagramming Connection with new bend points

Created in NX12.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
connection
bendPoints
unsafe void NXOpen.AME.DiagramManager.UpdateNodeLocation ( NXOpen.Diagramming.Node  node,
double  cordinateX,
double  cordinateY 
)
inline

Update node location

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
node
cordinateX
cordinateY
unsafe void NXOpen.AME.DiagramManager.UpdateNodeRotation ( NXOpen.Diagramming.Node  node,
double  rotation 
)
inline

Update node rotation

Created in NX12.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
node
rotation
unsafe void NXOpen.AME.DiagramManager.UpdateNodeSize ( NXOpen.Diagramming.Node  node,
double  coordinateX,
double  coordinateY,
double  height,
double  width 
)
inline

Update node size

Created in NX12.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
node
coordinateX
coordinateY
height
width

Property Documentation

Tag NXOpen.AME.DiagramManager.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.